#hero {
    font-family: "Roboto", system-ui, -apple-system, sans-serif;
    
    min-height: 55dvh;

    display: grid;
    place-items: center;
    place-content: center;

    overflow: clip;
    position: relative;
    isolation: isolate;
}
#hero::after {
    content: "";
    position: absolute;
    inset: 0;

    background: linear-gradient(
        to right,
        hsla(225, 21%, 7%, 0.95),
        hsla(225, 21%, 7%, 0.65)
    );

    z-index: -1;
}
#hero picture.back-gr {
    position: absolute;
    inset: 0;
    
    display: grid;
    place-items: center;
    place-content: center;

    z-index: -1;
}
#hero picture.back-gr img {
    min-width: 100%;
    min-height: 100%;
}

#hero h1 {
    max-width: 18ch;

    font-size: 7.2rem;
    line-height: 1.25;
    font-style: italic;
    text-transform: uppercase;
    color: var(--font-col-600);
    margin-bottom: 1.5rem;
}

#hero p {
    max-width: 80ch;

    font-size: 2rem;
    font-weight: 500;
    line-height: 1.5;
    color: var(--font-col-400);

    text-align: justify;
}

article {
    padding-block: 8rem;
}

article:nth-of-type(odd) {
    background-color: var(--main-col2);
}

article div {
    display: grid;
    gap: 3rem;
}

article h1 {
    font-size: 5.2rem;
    text-align: center;
    text-transform: uppercase;
    color: var(--font-col-300);
}

article h2 {
    margin-bottom: 2rem;
}

article ul.services-grid {
    margin-block: 2rem;
    width: 100%;
    
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(min(38.5rem, 90%), 1fr));
    gap: 3.2rem;

    list-style: none;
}
article ul.services-grid li {
    --bk: #000;

    aspect-ratio: 1.5 / 1;

    background: linear-gradient(
        135deg,
        var(--bk),
        transparent
    );

    border: 1px solid var(--border-col);
    border-radius: 1rem;

    position: relative;
    isolation: isolate;
    overflow: clip;
}
article:nth-of-type(even) ul.services-grid li {
    --bk: var(--main-col2);
}
article ul.services-grid li:is(:hover, :focus-visible) {
    border-color: var(--yellow);
}

article ul.services-grid li a {
    padding: 2rem;

    width: 100%;
    height: 100%;

    display: grid;
    align-content: space-between;
    gap: 1rem;

    text-decoration: none;
}

article ul.services-grid li a > svg {
    width: 4.8rem;
    height: 4.8rem;

    color: var(--yellow);

    transition-property: transform, opacity;
    transition-duration: 0.25s;
    transition-timing-function: ease-in-out;
}
article ul.services-grid li a > svg.shadow {
    height: 95%;
    width: auto;
    aspect-ratio: 1;

    position: absolute;
    bottom: 0; right: 0;
    transform: translate(50%, 50%);

    color: #fff;
    opacity: 0;
    
    z-index: -1;
}

article ul.services-grid li:is(:hover, :focus-visible) a > svg.shadow {
    opacity: 0.03;
    transform: translate(-7%, 0);
}
article ul.services-grid li:is(:hover, :focus-visible) a > svg:not(.shadow) {
    opacity: 0.25;
    /* transform: translate(-7%, 0); */
}

article ul.services-grid li a h3 {
    font-size: 2rem;
    font-style: italic;
    text-align: right;
    text-transform: capitalize;
    color: var(--font-col-600);
}
article ul.services-grid li a p {
    max-width: 33ch;

    font-size: 1.6rem;
    line-height: 1.6;
    color: var(--font-col-300);
    text-wrap: balance;
}

article ul.services-grid li a strong {
    display: flex;
    align-items: center;
    gap: 5px;

    font-size: 1.6rem;
    color: var(--font-col-200);

    & svg {
        width: 16px;
        height: 16px;
        color: inherit;
    }
}
article ul.services-grid li:is(:hover, :focus-visible) a > strong {
    color: var(--yellow);
    text-decoration: underline;
    text-underline-offset: 5px;
}

#quote {
    padding-block: 8rem;
    background-color: var(--yellow);
}
#quote .-main-box {
    display: grid;
    place-items: center;
    place-content: center;
    gap: 2.4rem;
}
#quote h2 {
    font-size: 4.8rem;
    color: #000;
}
#quote p {
    font-size: 2rem;
    text-align: center;
    color: #000;
}


@media (max-width: 900px) {
    article ul.services-grid li {
        aspect-ratio: auto;
    }
    article ul.services-grid li a h3 {
        font-size: 2.3rem;
    }
}